### Method

# GtkSource Annotations add_provider

#### Declaration [src]

    void
    gtk_source_annotations_add_provider (
      GtkSourceAnnotations* self,
      GtkSourceAnnotationProvider* provider
    )

#### Description [src]

Adds a new annotation provider.

#### Parameters

`provider`

  Type: `GtkSourceAnnotationProvider`

  A `GtkSourceAnnotationProvider`.

  The data is owned by the caller of the method.